<?php

namespace WP_SMS\Gateway;

class asanak extends \WP_SMS\Gateway
{
    private $wsdl_link = "https://panel.asanak.com/webservice/v2rest/sendsms";
    public $tariff = "https://asanak.com/";
    public $unitrial = false;
    public $unit;
    public $flash = "enable";
    public $isflash = false;

    function __construct()
    {
        parent::__construct();
        $this->validateNumber = "09xxxxxxxx";
    }

    function SendSMS()
    {
        $this->from = apply_filters('wp_sms_from', $this->from);
        $this->to = apply_filters('wp_sms_to', $this->to);
        $this->msg = apply_filters('wp_sms_msg', $this->msg);

        $credit = $this->GetCredit();
        if (is_wp_error($credit)) {
            $this->log($this->from, $this->msg, $this->to, $credit->get_error_message(), 'error');
            return $credit;
        }

        $to_numbers = implode(',', $this->to);

        $body = http_build_query([
            'username'   => $this->username,
            'password'   => $this->password,
            'source'     => $this->from,
            'destination'=> $to_numbers,
            'message'    => $this->msg,
        ]);

        $response = wp_remote_post($this->wsdl_link, [
            'timeout'   => 30,
            'body'      => $body,
            'headers'   => [
                'Accept'        => 'text/html',
                'Content-Type'  => 'application/x-www-form-urlencoded',
            ],
        ]);

        if (is_wp_error($response)) {
            $error_message = $response->get_error_message();
            $this->log($this->from, $this->msg, $this->to, $error_message, 'error');
            return new \WP_Error('send-sms', $error_message);
        }

        $http_code = wp_remote_retrieve_response_code($response);
        $response_body = wp_remote_retrieve_body($response);

if ($http_code !== 200) {
    $decoded_response = json_decode($response_body, true); // تبدیل پاسخ به آرایه PHP

    $error_message = isset($decoded_response['meta']['message']) ? $decoded_response['meta']['message'] : $response_body;

    $this->log($this->from, $this->msg, $this->to, "HTTP $http_code: $error_message", 'error');
    return new \WP_Error('send-sms', $error_message);
}

        $this->log($this->from, $this->msg, $this->to, $response_body);

        do_action('wp_sms_send', $response_body);

        return $response_body;
    }

    function GetCredit()
    {
        if (!$this->username || !$this->password) {
            return new \WP_Error('account-credit', esc_html__('API username or API password is not entered.', 'wp-sms'));
        }

        return true;
    }

    
    
}
